globus_net_manager.h(3)

NAME
globus_net_manager.h - Globus Net Manager Interface.

SYNOPSIS

#include 'globus_common.h'
#include 'globus_net_manager_attr.h'

  Data Structures

struct globus_net_manager_s
Net Manager Definition.

  Macros

#define GLOBUS_NET_MANAGER_MODULE
Module descriptor.

  Typedefs

typedef globus_result_t(* globus_net_manager_pre_listen) (struct globus_net_manager_s *manager, const globus_net_manager_attr_t *manager_attr_array, const char *task_id, const char *transport, const globus_net_manager_attr_t *attr_array, globus_net_manager_attr_t **attr_array_out)
Net Manager Pre-Listen Function Signature.
typedef globus_result_t(* globus_net_manager_post_listen) (struct globus_net_manager_s *manager, const globus_net_manager_attr_t *manager_attr_array, const char *task_id, const char *transport, const char *local_contact, const globus_net_manager_attr_t *attr_array, char **local_contact_out, globus_net_manager_attr_t **attr_array_out)
Net Manager Post-Listen Function Signature.
typedef globus_result_t(* globus_net_manager_end_listen) (struct globus_net_manager_s *manager, const globus_net_manager_attr_t *manager_attr_array, const char *task_id, const char *transport, const char *local_contact, const globus_net_manager_attr_t *attr_array)
Net Manager End-Listen Function Signature.
typedef globus_result_t(* globus_net_manager_pre_accept) (struct globus_net_manager_s *manager, const globus_net_manager_attr_t *manager_attr_array, const char *task_id, const char *transport, const char *local_contact, const globus_net_manager_attr_t *attr_array, globus_net_manager_attr_t **attr_array_out)
Net Manager Pre-Accept Function Signature.
typedef globus_result_t(* globus_net_manager_post_accept) (struct globus_net_manager_s *manager, const globus_net_manager_attr_t *manager_attr_array, const char *task_id, const char *transport, const char *local_contact, const char *remote_contact, const globus_net_manager_attr_t *attr_array, globus_net_manager_attr_t **attr_array_out)
Net Manager Post-Accept Function Signature.
typedef globus_result_t(* globus_net_manager_pre_connect) (struct globus_net_manager_s *manager, const globus_net_manager_attr_t *manager_attr_array, const char *task_id, const char *transport, const char *remote_contact, const globus_net_manager_attr_t *attr_array, char **remote_contact_out, globus_net_manager_attr_t **attr_array_out)
Net Manager Pre-Connect Function Signature.
typedef globus_result_t(* globus_net_manager_post_connect) (struct globus_net_manager_s *manager, const globus_net_manager_attr_t *manager_attr_array, const char *task_id, const char *transport, const char *local_contact, const char *remote_contact, const globus_net_manager_attr_t *attr_array, globus_net_manager_attr_t **attr_array_out)
Net Manager Post-Connect Function Signature.
typedef globus_result_t(* globus_net_manager_pre_close) (struct globus_net_manager_s *manager, const globus_net_manager_attr_t *manager_attr_array, const char *task_id, const char *transport, const char *local_contact, const char *remote_contact, const globus_net_manager_attr_t *attr_array)
Net Manager Pre-Close Function Signature.
typedef globus_result_t(* globus_net_manager_post_close) (struct globus_net_manager_s *manager, const globus_net_manager_attr_t *manager_attr_array, const char *task_id, const char *transport, const char *local_contact, const char *remote_contact, const globus_net_manager_attr_t *attr_array)
Net Manager Post-Close Function Signature.
typedef struct globus_net_manager_s globus_net_manager_t
Net Manager Definition.

  Functions

globus_result_t globus_net_manager_register (globus_net_manager_t *manager, globus_module_descriptor_t *module)
Register a network manager.
globus_result_t globus_net_manager_unregister (globus_net_manager_t *manager)
Unregister a network manager.

Detailed Description

Globus Net Manager Interface.

Author

Generated automatically by Doxygen for globus_net_manager from the source code.